using UnityEngine;

[CreateAssetMenu(fileName = "Weapon", menuName = "Weapons/Weapon: Shoot", order = 3)]
public class WeaponShoot : Weapon
{
    public ProjectileAmmo Ammo;

    protected override void FireInternal(WeaponHolder owner)
    {
        Ammo.OnStart(owner, null);

    }
}
